Subject: Re: bug#36786: Warn of AMD GPUs unusable with Guix System

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 24 Jul 2019 23:22:54 +0200

On Wed, Jul 24, 2019 at 09:05:06PM +0200, Ricardo Wurmus wrote:
> Do you think it would be enough if we pointed to h-node.org and
> mentioned kernel flags that might be useful in certain generic cases?
> 

Yes, that is a very good suggestion and easiest to do.  I did not
think about h-node…  The manual already points there, but the website
should too.  Then this bug can be closed, I think.

Find attached a patch that mentions the kernel flag in the manual’s
Hardware Considerations section.  I do not know if a separate section
would be better.  (The alternative kernel flag “nomodeset” was
reported to not work as well, so I did not mention it, see here:
<https://lists.gnu.org/archive/html/guix-devel/2019-04/msg00089.html>)

h-node currently appears to have no information on those video cards.
I will take a look at how to add information there later.

Regards,
Florian

>From e88ee68c09266e1d09d24ff0d1b6ec6a4708841b Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Wed, 24 Jul 2019 23:02:21 +0200
Subject: [PATCH] doc: Mention AMD Radeon workaround when TTYs are not redrawn.

* doc/guix.texi (Hardware Considerations): Describe workaround.
---
 doc/guix.texi | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index f6d9718f59..b9e18e55c4 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -1879,6 +1879,24 @@ Another useful resource is the @uref{https://www.h-node.org/, H-Node}
 web site.  It contains a catalog of hardware devices with information
 about their support in GNU/Linux.
 
+Some hardware requires specific tweaks to work better with Guix System.  The
+following is an incomplete list of known workarounds:
+
+@itemize
+@item
+Some @emph{AMD Radeon} graphics cards stop redrawing the virtual console TTYs
+when booting because of an error with Kernel Mode Setting.  The problem
+disappears when blacklisting the kernel module for the driver.  To do so, you
+can add @code{modprobe.blacklist=radeon} to the Linux-libre kernel flags,
+either for only one boot by pressing the @kbd{e} key in the GRUB bootloader
+and adding this kernel flag to the end of the @code{linux} command-line, or
+permanently by changing the @code{kernel-arguments} field in your
+@code{operating-system} declaration, e.g.:
+
+@example
+(kernel-arguments '("quiet" "modprobe.blacklist=radeon"))
+@end example
+@end itemize
 
 @node USB Stick and DVD Installation
 @section USB Stick and DVD Installation
-- 
2.22.0